
#line 23 "src/types.anansi"

#line 30 "src/introduction.anansi"
-- Copyright (C) 2009-2010 John Millikin <jmillikin@gmail.com>
-- 
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

#line 24 "src/types.anansi"
module DBus.Types (

#line 100 "src/types.anansi"
	  -- * Available types
	  Type (..)
	, typeCode

#line 176 "src/types.anansi"
	  -- * Variants
	, Variant
	, Variable (..)

#line 248 "src/types.anansi"
	, variantType

#line 442 "src/types.anansi"
	  -- * Signatures
	, Signature
	, signatureTypes
	, strSignature

#line 714 "src/types.anansi"
	, mkSignature
	, mkSignature_

#line 789 "src/types.anansi"
	  -- * Object paths
	, ObjectPath
	, strObjectPath
	, mkObjectPath
	, mkObjectPath_

#line 839 "src/types.anansi"
	  -- * Arrays
	, Array
	, arrayType
	, arrayItems

#line 885 "src/types.anansi"
	, toArray
	, fromArray
	, arrayFromItems

#line 903 "src/types.anansi"
	, arrayToBytes
	, arrayFromBytes

#line 967 "src/types.anansi"
	  -- * Dictionaries
	, Dictionary
	, dictionaryItems
	, dictionaryKeyType
	, dictionaryValueType

#line 1044 "src/types.anansi"
	, toDictionary
	, fromDictionary
	, dictionaryFromItems

#line 1116 "src/types.anansi"
	, dictionaryToArray
	, arrayToDictionary

#line 1133 "src/types.anansi"
	  -- * Structures
	, Structure (..)

#line 1174 "src/types.anansi"
	-- * Names

#line 1204 "src/types.anansi"
	  -- ** Bus names
	, BusName
	, strBusName
	, mkBusName
	, mkBusName_

#line 1257 "src/types.anansi"
	  -- ** Interface names
	, InterfaceName
	, strInterfaceName
	, mkInterfaceName
	, mkInterfaceName_

#line 1298 "src/types.anansi"
	  -- ** Error names
	, ErrorName
	, strErrorName
	, mkErrorName
	, mkErrorName_

#line 1334 "src/types.anansi"
	  -- ** Member names
	, MemberName
	, strMemberName
	, mkMemberName
	, mkMemberName_

#line 26 "src/types.anansi"
	) where
import DBus.Types.Internal
